# Get card info with PAN Get card info - account ID, customer ID and card ID - with the card's unencrypted PAN (Primary Account Number). If you are not comfortable passing a clear text PAN, you can call the [Get card info with encrypted PAN](ref:post-v2-card-search-by-pan) endpoint. Doing this requires you contact Pismo to set up encryption using public and private keys. **Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Cards", "version": "1.4.6", "description": "Card endpoints API", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io", "description": "Sandbox API server for testing." }, { "url": "https://gw-pci.pismolabs.io", "description": "Sandbox PCI API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "PCI", "description": "Card PCI/sensitive information endpoints" } ], "components": { "schemas": { "CustomerID": { "type": "integer", "description": "Pismo customer ID", "example": 765476676 }, "PrimaryAccountNumber": { "type": "string", "description": "Card's Primary Account Number (PAN)", "example": "123456******789" }, "SearchCard": { "type": "object", "description": "Get card information with PAN request object", "properties": { "pan": { "$ref": "#/components/schemas/PrimaryAccountNumber" } } }, "SearchCardResponse": { "type": "object", "description": "Get card information with PAN response object", "properties": { "card_id": { "type": "integer", "description": "Card ID" }, "account_id": { "type": "number", "description": "Account ID", "example": 838933 }, "customer_id": { "$ref": "#/components/schemas/CustomerID" } }, "example": { "account_id": 102378693, "card_id": 6743052, "customer_id": 4596098 } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Access token is missing or invalid" }, "404NotFound": { "description": "The specified resource was not found" }, "500InternalServer": { "description": "Internal server error" } } }, "paths": { "/pcicards/v1/pcicards/cards/search": { "post": { "operationId": "post-v1-card-search-by-pan", "summary": "Get card info with PAN", "description": "Get card info - account ID, customer ID and card ID - with the card's unencrypted PAN (Primary Account Number). If you are not comfortable passing a clear text PAN, you can call the [Get card info with encrypted PAN](https://developers.pismo.io/pismo-docs/reference/post-v2-card-search-by-pan) endpoint. Doing this requires you contact Pismo to set up encryption using public and private keys.\n\n**Note:** This is a PCI endpoint, use the https://gw-pci.pismolabs.io environment.\n", "tags": [ "PCI" ], "requestBody": { "description": "Request body", "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SearchCard" } } } }, "responses": { "200": { "description": "Get card information response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/SearchCardResponse" } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "404": { "$ref": "#/components/responses/404NotFound" }, "500": { "$ref": "#/components/responses/500InternalServer" } } } } } } ```